> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List user's video enhancement jobs

> Get the list of video enhancing jobs. Displays jobs that are either finished, canceled, or
  failed.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/jobs/history/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/jobs/history/:
    get:
      tags:
        - jobs
      summary: List user's video enhancement jobs
      description: >-
        Get the list of video enhancing jobs. Displays jobs that are either
        finished, canceled, or
          failed.
      operationId: jobs_history_list
      parameters:
        - in: query
          name: input_video__name
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - in: query
          name: started_after
          schema:
            type: string
            format: date
        - in: query
          name: started_before
          schema:
            type: string
            format: date
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedJobHistoryListList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedJobHistoryListList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/JobHistoryList'
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    JobHistoryList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        started:
          type: string
          format: date-time
          readOnly: true
          description: Job's start time
        status:
          type: string
          readOnly: true
        input_video:
          allOf:
            - $ref: '#/components/schemas/Video'
          readOnly: true
        ml_models:
          type: array
          items:
            $ref: '#/components/schemas/MLModelList'
          readOnly: true
      required:
        - id
        - input_video
        - ml_models
        - started
        - status
    Video:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Media name
        width:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Width of the video in pixels
        height:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Height of the video in pixels
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date when the media was created
        n_frames:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Number of frames in the video
        framerate:
          type:
            - number
            - 'null'
          format: double
          readOnly: true
          description: Video framerate in frames per second
        size:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Size of the video in bytes
        file:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            Pre-signed uploaded video URL. The URL may expire after some time.
            To generate a new URL, call the endpoint again. If the field is
            `null`, it means the video hasn't been completely uploaded to our
            servers yet. The field can also be `null` if the video was enhanced
            using the /jobs/from-url endpoint. In that case the video is not
            stored on our servers and the field is `null`
        owner:
          type: string
          format: email
          title: Email address
          readOnly: true
        thumbnail:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: >-
            Thumbnail of the video. `null` if the video was enhanced with the
            /jobs/from-url endpoint
        external_url:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
        bitrate:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Video bitrate in bits per second
        codec_id:
          type:
            - string
            - 'null'
          readOnly: true
        bit_depth:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Bit depth of the video
        chroma_subsampling:
          type:
            - string
            - 'null'
          readOnly: true
        color_space:
          type:
            - string
            - 'null'
          readOnly: true
      required:
        - bit_depth
        - bitrate
        - chroma_subsampling
        - codec_id
        - color_space
        - created_at
        - external_url
        - framerate
        - height
        - id
        - n_frames
        - name
        - owner
        - size
        - thumbnail
        - width
    MLModelList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Model name
        task:
          allOf:
            - $ref: '#/components/schemas/TaskEnum'
          readOnly: true
          description: |-
            Task (filter) used for video enhancement.

            * `1` - Super Resolution
            * `2` - Film damage
            * `3` - Denoise
            * `4` - Sharpen
            * `5` - VHS Prettify
            * `6` - Dropouts Buster
            * `7` - Auto Color Balance
            * `8` - Decompressor
            * `9` - Deinterlace
            * `10` - FPS Interpolation
            * `11` - Slow Motion
            * `12` - Face Enhance
            * `13` - Stabilization
            * `14` - Audio Denoise
            * `15` - Low Light Enhance
        cost_weight:
          type: number
          format: double
          readOnly: true
          description: >-
            Model's impact on the job cost. The higher the weight, the more the
            job will cost if this model is used.
        upscale_factor:
          type: integer
          readOnly: true
          description: >-
            Video upscale factor. E.g. 2 means the 512x512 px video becomes
            1024x1024 px. Ignored if the Super Resolution model is not present.
        fps_boost_factor:
          type: integer
          readOnly: true
          description: >-
            DEPRECATED. See Job's `fps_interpolation_factor`. How much the video
            framerate will be increased. Ignored if the framerate interpolation
            model is not present.
        priority:
          type: integer
          readOnly: true
          description: >-
            ML model execution priority. Used internally to determine the order
            of models execution. Lower value means earlier execution.
        max_resolution:
          type: integer
          readOnly: true
          description: >-
            Maximum input video resolution the ML model supports (in pixels).
            E.g. 4X upscale models don't support input video resolutions higher
            than 1280x720 px.
      required:
        - cost_weight
        - fps_boost_factor
        - id
        - max_resolution
        - name
        - priority
        - task
        - upscale_factor
    TaskEnum:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
      type: integer
      description: |-
        * `1` - Super Resolution
        * `2` - Film damage
        * `3` - Denoise
        * `4` - Sharpen
        * `5` - VHS Prettify
        * `6` - Dropouts Buster
        * `7` - Auto Color Balance
        * `8` - Decompressor
        * `9` - Deinterlace
        * `10` - FPS Interpolation
        * `11` - Slow Motion
        * `12` - Face Enhance
        * `13` - Stabilization
        * `14` - Audio Denoise
        * `15` - Low Light Enhance
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````